#include <stdio.h>
#include <stdlib.h>

int compare(const void* a, const void* b) {
   return (*(long long*)a - *(long long*)b);
}

int main()
{
    long long a[100],b[100],c[100],l,r,n,i,j,x,y,k,m=0;
	scanf("%lld",&n);
	for(i=0; i<n; i++)
	scanf("%lld",&a[i]);
    for(i=0; i<n; i++)
	scanf("%lld",&b[i]);
	
	for(i=0;i<n-1;i++)
	for(j=i+1;j<n;j++)
	{
	  
	    k=i;
	    x=a[k];
	    y=b[k];
	    while(k!=j){
	        x=x^a[k+1];
	        y=y&b[k+1];
	        k++;
	    }
	    
	    c[m]=x*y;
	    m++;
	}
	
	 qsort(c, m, sizeof(long long), compare);
	
		printf("%lld",c[m-1]);
	return 0;
}